Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.UI.Controls.WTab
Class Tab

    java.lang.Object
      LumiSoft.UI.Controls.WTab.Tab

    public class Tab

extends java.lang.Object

Author:
  Ivar To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments

Constructor Summary
`Tab(Tabs tabs)` Default constructor.

Method Summary
`boolean` | `getEnabled()` Gets if tab is enabled.
`int` | `getImageIndex()` Gets tab image index.
`int` | `getIndex()` Gets tab index in tabs collection.
`java.lang.Object` | `getTag()` Gets tab tag.
`java.lang.String` | `getText()` Gets tab text.
`java.lang.String` | `getTextID()` Gets tab text ID.
`boolean` | `getVisible()` Gets if tab is visible.
`void` | `OnItemNeedsUpdate()`
`void` | `setEnabled(boolean value)` Sets if tab enebled.
`void` | `setImageIndex(int value)` Sets tab image index.
`void` | `setTag(java.lang.Object value)` Sets tab tag.
`void` | `setText(java.lang.String value)` Sets tab text.
`void` | `setTextID(java.lang.String value)` Sets tab text ID.
`void` | `setVisible(boolean value)` Sets if tab is visble.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tab

    public Tab(Tabs tabs)

  Default constructor.

  Parameters:
    `tabs` -

Method Detail

### OnItemNeedsUpdate

    public void OnItemNeedsUpdate()

### getText

    public java.lang.String getText()

  Gets tab text.

  Returns:

### setText

    public void setText(java.lang.String value)

  Sets tab text.

  Parameters:
    `value` -

### getTextID

    public java.lang.String getTextID()

  Gets tab text ID.

  Returns:

### setTextID

    public void setTextID(java.lang.String value)

  Sets tab text ID.

  Parameters:
    `value` -

### getTag

    public java.lang.Object getTag()

  Gets tab tag.

  Returns:

### setTag

    public void setTag(java.lang.Object value)

  Sets tab tag.

  Parameters:
    `value` -

### getIndex

    public int getIndex()

  Gets tab index in tabs collection.

  Returns:

### getImageIndex

    public int getImageIndex()

  Gets tab image index.

  Returns:

### setImageIndex

    public void setImageIndex(int value)

  Sets tab image index.

  Parameters:
    `value` -

### getEnabled

    public boolean getEnabled()

  Gets if tab is enabled.

  Returns:

### setEnabled

    public void setEnabled(boolean value)

  Sets if tab enebled.

  Parameters:
    `value` -

### getVisible

    public boolean getVisible()

  Gets if tab is visible.

  Returns:

### setVisible

    public void setVisible(boolean value)

  Sets if tab is visble.

  Parameters:
    `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD